<div class="container" [ngStyle]="{'background': 'radial-gradient(' + (backgroundColor$ | async) + ')'}" [ngClass]="{'dark': darkMode$ | async }">
  <div *ngIf="darkMode$ | async" class="dark-background"></div>  
  <!--div class="stars" *ngIf="weather && !isDay(weather.weather.timezone)" [ngStyle]="{'opacity': (1 - (weather.weather.clouds / 100))}"></div-->
  <div class="header" *ngIf="weather">
    <div class="city-info">
      <p class="name">{{ inputCity.name }}</p>
      <svg-icon *ngIf="userIsAuthenticated" (click)="toggleFavorite()" class="favorite" src="/assets/icons/heart.svg" [svgStyle]="{'width.px': 25, 'height.px': 25, 'fill': isCityFavorite ? '#FF7A7A' : 'rgba(214, 214, 214, 0.25)'}"></svg-icon>
      <p class="date">{{ getDate(weather.weather.timezone) }}</p>
    </div>
    <svg-icon class="weather-icon" src="/assets/icons/weather/{{ getIconForCondition(weather.weather.condition) }}.svg" [svgStyle]="{'width.px': 90, 'height.px': 90, 'fill': getColorForCondition(weather.weather.condition)}"></svg-icon>
    <div class="weather-info">
      <p class="temperature">{{ convertTemperature(weather.weather.temperature, unit$ | async) }}</p>
      <p class="description">{{ weather.weather.condition }}</p>
    </div>
  </div>

  <drag-scroll class="scroll" drag-scroll-y-disabled="true" scrollbar-hidden="true" (indexChanged)="dragIndexChanged($event)" *ngIf="weather && !(zenMode$ | async)" #scroll>
    <div class="drag-scroll-item" drag-scroll-item>
      <div class="card">
        <p class="title">Details</p>
        <div class="data-wrapper">
          <div class="data">
            <div class="circle" [ngStyle]="{'background-color': '#D3F7FC'}">
              <svg-icon class="icon" src="/assets/icons/weather/data/humidity.svg" [svgStyle]="{ 'width.px': 30, 'height.px': 30, 'fill': '#57BDD3' }"></svg-icon>
            </div>
            <div class="info-wrapper">
              <p class="data-label">Humidity</p>
              <p class="data-value">{{ weather.weather.humidity }}%</p>
            </div>
          </div>
          <div class="data">
            <div class="circle" [ngStyle]="{'background-color': '#FCEBD3'}">
              <svg-icon class="icon" src="/assets/icons/weather/data/wind.svg" [svgStyle]="{ 'width.px': 30, 'height.px': 30, 'fill': '#C98320' }"></svg-icon>
            </div>
            <div class="info-wrapper">
              <p class="data-label">Wind</p>
              <p class="data-value">{{ getWind(weather.weather.wind) }}</p>
            </div>
          </div>
          <div class="data">
            <div class="circle" [ngStyle]="{'background-color': '#D3D9FC'}">
              <svg-icon class="icon" src="/assets/icons/weather/data/uvi.svg" [svgStyle]="{ 'width.px': 30, 'height.px': 30, 'fill': '#354AC9' }"></svg-icon>
            </div>
            <div class="info-wrapper">
              <p class="data-label">UV Index</p>
              <p class="data-value">{{ weather.weather.uvi }}</p>
            </div>
          </div>
          <div class="data">
            <div class="circle" [ngStyle]="{'background-color': '#ECFCD3'}">
              <svg-icon class="icon" src="/assets/icons/weather/data/visibility.svg" [svgStyle]="{ 'width.px': 30, 'height.px': 30, 'fill': '#9DD640' }"></svg-icon>
            </div>
            <div class="info-wrapper">
              <p class="data-label">Visibility</p>
              <p class="data-value">{{ getVisibility(weather.weather.visibility) }}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="drag-scroll-item" drag-scroll-item>
      <div class="forecast-wrapper">
        <div *ngFor="let day of weather.forecast">
          <div class="day-card">
            <p class="day-of-week">{{ getDayOfWeek(day.time) }}</p>
            <svg-icon class="weather-icon" src="/assets/icons/weather/{{ getIconForCondition(day.condition) }}.svg" [svgStyle]="{'width.px': 50, 'height.px': 50, 'fill': getColorForCondition(day.condition)}"></svg-icon>
            <p class="temperature">{{ convertTemperature(day.temperature, unit$ | async) }}</p>
          </div>
        </div>
      </div>
    </div>
  </drag-scroll>
  <div class="arrows-wrapper" *ngIf="weather && !(zenMode$ | async)">
    <svg-icon class="arrow" *ngIf="scrollIndex === 1" (click)="this.ds.moveLeft()" src="/assets/icons/arrow-left.svg" [svgStyle]="{ 'width.px': 30, 'height.px': 30, 'fill': '#ffffff' }" style="float: left;"></svg-icon>
    <svg-icon class="arrow" *ngIf="scrollIndex === 0" (click)="this.ds.moveRight()" src="/assets/icons/arrow-right.svg" [svgStyle]="{ 'width.px': 30, 'height.px': 30, 'fill': '#ffffff' }" style="float: right;"></svg-icon>
  </div>
  <div class="scroll-indicator" *ngIf="weather && !(zenMode$ | async)">
    <div class="dot" [ngStyle]="{'opacity': scrollIndex === 0 ? '1' : '0.5'}"></div>
    <div class="dot" [ngStyle]="{'opacity': scrollIndex === 1 ? '1' : '0.5'}"></div>
  </div>
  <div class="back" (click)="clearInputCity()">CHOOSE A DIFFERENT CITY</div>
</div>